Trend Indications
Trend indications classify the direction of calculated values (e.g., increasing, stable, decreasing).
Use the Datastore_TrendIndication endpoint to query trend indications.
Endpoints
List Trend Indications
GET
/v1/odata/Datastore_TrendIndicationSingle Trend Indication
GET
/v1/odata/Datastore_TrendIndication({id})Fields
Datastore Fields (inherited)
| Field | Type | Description |
|---|---|---|
Name | String | Display name |
Code | String | Unique code identifier |
LocalizedName | String | Localized display name |
IsDefault | Boolean | Whether this is the default value |
Relationships
| Relationship | Target Entity | Cardinality | Description |
|---|---|---|---|
| Value | Calculation_Value | 1:N | Value |
Expanding Relationships
GET
/v1/odata/Datastore_TrendIndication({id})?$expand=ValueNavigating Relationships
GET
/v1/odata/Datastore_TrendIndication({id})/ValueFiltering Examples
GET
/v1/odata/Datastore_TrendIndication?$filter=Name eq '{Name}'&$top={top}GET
/v1/odata/Datastore_TrendIndication?$filter=contains(Name, '{Name}')&$top={top}GET
/v1/odata/Datastore_TrendIndication?$filter=Code eq '{Code}'&$top={top}GET
/v1/odata/Datastore_TrendIndication?$filter=IsDefault eq {IsDefault}&$top={top}